Erlang -- sasl

User's Guide
Reference Manual
Release Notes
PDF
Top

System Application Support Libraries (SASL)
Reference Manual
Version 2.2.1

Expand All
Contract All

Table of Contents

- sasl (App)
- alarm_handler
  - Top of manual page
  - clear_alarm/1
  - get_alarms/0
  - set_alarm/1
- overload
  - Top of manual page
  - request/0
  - get_overload_info/0
- rb
  - Top of manual page
  - filter/1
  - filter/2
  - grep/1
  - h/0
  - help/0
  - list/0
  - list/1
  - rescan/0
  - rescan/1
  - show/0
  - show/1
  - start/0
  - start/1
  - start_log/1
  - stop/0
  - stop_log/0
- release_handler
  - Top of manual page
  - check_install_release/1
  - check_install_release/2
  - create_RELEASES/4
  - install_file/2
  - install_release/1
  - install_release/2
  - make_permanent/1
  - remove_release/1
  - reboot_old_release/1
  - set_removed/1
  - set_unpacked/2
  - unpack_release/1
  - which_releases/0
  - which_releases/1
  - upgrade_app/2
  - downgrade_app/2
  - downgrade_app/3
  - upgrade_script/2
  - downgrade_script/3
  - eval_appup_script/4
- systools
  - Top of manual page
  - make_relup/3
  - make_relup/4
  - make_script/1
  - make_script/2
  - make_tar/1
  - make_tar/2
  - script2boot/1
- appup
- rel
- relup
- script

# sasl

### APPLICATION

sasl

### APPLICATION SUMMARY

The SASL Application

### DESCRIPTION

This section describes the SASL (System Architecture Support Libraries) application which provides the following services:

- alarm_handler
- overload
- rb
- release_handler
- systools

The SASL application also includes error_logger event handlers for formatting SASL error and crash reports.

Note

The SASL application in OTP has nothing to do with "Simple Authentication and Security Layer" (RFC 4422).

### Error Logger Event Handlers

The following error logger event handlers are defined in the SASL application.

sasl_report_tty_h

  Formats and writes supervisor reports, crash reports and progress reports to stdio.

sasl_report_file_h

  Formats and writes supervisor reports, crash report and progress report to a single file.

error_logger_mf_h

  This error logger writes all events sent to the error logger to disk. It installs the log_mf_h event handler in the error_logger process.

  To activate this event handler, the following three sasl configuration parameters must be set: error_logger_mf_dir, error_logger_mf_maxbytes and error_logger_mf_maxfiles. See below for more information about the configuration parameters.

### Configuration

The following configuration parameters are defined for the SASL application. See app(4) for more information about configuration parameters:

sasl_error_logger = Value <optional>

  Value is one of:

  tty
    Installs sasl_report_tty_h in the error logger. This is the default option.
  {file,FileName}
    Installs sasl_report_file_h in the error logger. This makes all reports go to the file FileName. FileName is a string.
  false

    No SASL error logger handler is installed.

errlog_type = error | progress | all <optional>

  Restricts the error logging performed by the specified sasl_error_logger to error reports, progress reports, or both. Default is all.

error_logger_mf_dir = string() | false<optional>

  Specifies in which directory the files are stored. If this parameter is undefined or false, the error_logger_mf_h is not installed.

error_logger_mf_maxbytes = integer() <optional>

  Specifies how large each individual file can be. If this parameter is undefined, the error_logger_mf_h is not installed.

error_logger_mf_maxfiles = 0<integer()<256 <optional>

  Specifies how many files are used. If this parameter is undefined, the error_logger_mf_h is not installed.

overload_max_intensity = float() > 0 <optional>

  Specifies the maximum intensity for overload. Default is 0.8.

overload_weight = float() > 0 <optional>

  Specifies the overload weight. Default is 0.1.

start_prg = string() <optional>

  Specifies which program should be used when restarting the system. Default is $OTP_ROOT/bin/start.

masters = [atom()] <optional>

  Specifies which nodes this node uses to read/write release information. This parameter is ignored if the client_directory parameter is not set.

client_directory = string() <optional>

  This parameter specifies the client directory at the master nodes. Refer to Release Handling in OTP Design Principles for more information. This parameter is ignored if the masters parameter is not set.

static_emulator = true | false <optional>

  Indicates if the Erlang emulator is statically installed. A node with a static emulator cannot switch dynamically to a new emulator as the executable files are written into memory statically. This parameter is ignored if the masters and client_directory parameters are not set.

releases_dir = string() <optional>

  Indicates where the releases directory is located. The release handler writes all its files to this directory. If this parameter is not set, the OS environment parameter RELDIR is used. By default, this is $OTP_ROOT/releases.

utc_log = true | false <optional>

  If set to true, all dates in textual log outputs are displayed in Universal Coordinated Time with the string UTC appended.

### See Also

alarm_handler(3), error_logger(3), log_mf_h(3), overload(3), rb(3), release_handler(3), systools(3)